Skip to main content

Gets the device comment list

GET /v1/device/{deviceID}/comment/list

Summary

Gets the device comment list.

Authentication

No operation-level security requirement is documented here.

Parameters

NameInTypeRequiredDescriptionExample
deviceIDpathinteger (int64)YesThe ID of the device whose comments should be returned.1

Request Body

No request body is documented here.

Responses

200

Success

application/json

  • array of CommentWithNames
    • username (string, optional)
    • key (integer (int64), optional)
    • commentText (string, optional)
    • commentDate (string (date-time), optional)
    • creationDate (string (date-time), optional)

Example

[
{
"key": 1,
"commentText": "Example value",
"commentDate": "2026-03-30T12:00:00.0000000Z",
"creationDate": "2026-03-30T12:00:00.0000000Z",
"username": "testuser"
}
]